Skip to main content
GET
/
api
/
api_keys
/
{id}
GET /api/api_keys/{id}
curl --request GET \
  --url https://api.sippet.ai/api/api_keys/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "<string>",
    "type": "<string>",
    "attributes": {
      "key_type": "publishable",
      "name": "<string>",
      "organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "expires_at": "<unknown>",
      "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    },
    "relationships": {
      "organisation": {
        "data": {
          "id": "<string>",
          "type": "<string>",
          "meta": {}
        }
      },
      "user": {
        "data": {
          "id": "<string>",
          "type": "<string>",
          "meta": {}
        }
      }
    }
  },
  "included": [
    "<unknown>"
  ],
  "meta": {}
}

Authorizations

Authorization
string
header
required

JWT for bearer authentication

Path Parameters

id
string
required

Query Parameters

include
string

Relationship paths to include in the response

Pattern: ^()(,())*$
fields
object

Limits the response fields to only those listed for each type

Example:
{
"ApiKey": "id,name,key_type,expires_at,organisation_id,user_id"
}

Response

Success

data
object

A "Resource object" representing a ApiKey

included
any[]
meta
object